<script setup>
import LogoColdwire from '@/component/LogoColdwire.vue'
import AppDesktopSidebar from '@/component/AppDesktopSidebar.vue'
import AppNotification from '@/component/AppNotification.vue'
import { RouterView } from 'vue-router'
</script>

<template>
  <div class="v-app">
    <LogoColdwire />
    <AppDesktopSidebar />
    <main id="app-main">
      <RouterView />
      <AppNotification />
    </main>
  </div>
</template>

<style lang="scss" scoped>
  .v-app {
    width: 100%;
    height: 100%;
    display: flex;
    main {
      position: relative;
      flex-grow: 1;
      background-color: $complementary-gray-2;
    }
  }
</style>
